Current Version Plugin RIM Handheld Application Loader

The current version plugin for RIM handheld application loader is required for the BlackBerry desktop software to work with Mozilla Firefox.

Applies to: Mozilla Firefox.

Supported OS: Windows, Mac.

Current Version Plugin RIM Handheld Application LoaderThe current version of the RIM handheld application loader is required for the BlackBerry desktop software to work with Firefox.

The software creates a connection between your BlackBerry device and computer for you to back up your contacts, messages, music, calendar and other data on the device. In case of any device damage or loss to data, you can use the desktop software to restore data to the device.

Install/Upgrade info: The current version of the RIM handheld application loader is installed with the desktop BlackBerry desktop software. You can uninstall it from Firefox by checking the list of add-ons and disabling it. In case of issues with the plugin, it is recommended to restart the browser. If that doesn’t work, restart the computer. You may have to upgrade the browser to the latest version too.

If nothing works, uninstall and reinstall the BlackBerry desktop software.

Download link: http://blackberry.com/software/desktop.html